<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BladeburnerOperationNameEnumType](./bitburner.bladeburneroperationnameenumtype.md)

## BladeburnerOperationNameEnumType type

Operation names of Bladeburner

**Signature:**

```typescript
type BladeburnerOperationNameEnumType = {
  Investigation: "Investigation";
  Undercover: "Undercover Operation";
  Sting: "Sting Operation";
  Raid: "Raid";
  StealthRetirement: "Stealth Retirement Operation";
  Assassination: "Assassination";
};
```
